// pages/shop/shop.js
import { get } from "../../common/request.js"
import pathmap from "../../common/pathmap"
import stylemap from "../../common/stylemap"
import { retCartData } from "../../data/car"
var app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    windowh: app.globalData.windowh,
    offset:0,
    limit:10,
    lock:false,
    hasloadall:false,
    list:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({id:options.id})
    this.loadDetail();
    this.setData(stylemap);
    this.loadCars();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },
  loadDetail:function(){
    var _self = this;
    get(pathmap.storeinfo, {
      store_id:this.data.id
    }, function (json) {
      _self.setData({
        info: json.data
      })
    })
  },
  makeCall:function(e){
    var number = e.currentTarget.dataset.phonenumber;
    wx.makePhoneCall({phoneNumber:number});
  },
  loadCars:function(){
    var _self = this;
    if(!this.data.lock&&!this.data.hasloadall){
      var para = {
        offset:this.data.offset,
        limit:this.data.limit,
        merchant_id:this.data.id
      }
      this.setData({
        lock:true
      })
      get(pathmap.searchcar, para, function (json) {
        var list = retCartData(json.data&&json.data.list)
        var nextoffset = _self.data.offset+_self.data.limit;
        var obj = {
          lock:false,
          list:_self.data.list.concat(list),
          total:json.data.total,
          offset:nextoffset
        }
        if(json.data.total<=nextoffset){
          obj.hasloadall=true
        }
        _self.setData(obj);
      })
    }
  }
})